
import os
from watchdog.observers import Observer
from watchdog.events import FileSystemEventHandler

def monitor_directory(path, event_handler):
    """
    Monitor a directory for changes using watchdog library.
    """
    event_handler.directory = path
    observer = Observer()
    observer.schedule(event_handler, path, recursive=True)
    observer.start()
    try:
        while True:
            time.sleep(1)
    except KeyboardInterrupt:
        observer.stop()
    observer.join()

